X509_get0_uids(3)

NAME
X509_get0_uids, X509_ACERT_get0_issuerUID - get certificate and attribute certificate unique identifiers

SYNOPSIS
 #include <openssl/x509.h>

 void X509_get0_uids(const X509 *x, const ASN1_BIT_STRING **piuid,
                     const ASN1_BIT_STRING **psuid);

 #include <openssl/x509_acert.h>

 ASN1_BIT_STRING *X509_ACERT_get0_issuerUID(X509_ACERT *x);
=head1 DESCRIPTION

X509_get0_uids() sets *piuid and *psuid to the issuer and subject unique identifiers of certificate x or NULL if the fields are not present.

X509_ACERT_get0_issuerUID() returns the issuer unique identifier of the attribute certificate x or NULL if the field is not present.

NOTES
The issuer and subject unique identifier fields are very rarely encountered in practice outside test cases.

RETURN VALUES
X509_get0_uids() does not return a value.

X509_ACERT_get0_issuerUID() returns a unique identifier on success or NULL on failure.

SEE ALSO
d2i_X509(3), ERR_get_error(3), X509_CRL_get0_by_serial(3), X509_get0_signature(3), X509_get_ext_d2i(3), X509_get_extension_flags(3), X509_get_pubkey(3), X509_get_subject_name(3), X509_get_version(3), X509_NAME_add_entry_by_txt(3), X509_NAME_ENTRY_get_object(3), X509_NAME_get_index_by_NID(3), X509_NAME_print_ex(3), X509_new(3), X509_sign(3), X509V3_get_d2i(3), X509_verify_cert(3)

HISTORY
X509_get0_uids() was added in OpenSSL 1.1.0.

X509_ACERT_get0_issuerUID() was added in OpenSSL 3.4.

COPYRIGHT
Copyright 2015-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.